Main Page Namespace List Class Hierarchy Alphabetical List Compound List Namespace Members Compound Members Related Pages

# Import::FileListC Class Reference

File list class. More...

`#include <FileListC.h>`

Inheritance diagram for Import::FileListC:

List of all members.

## Public Methods

- virtual Edit::DataBlockI* create ()
- virtual Edit::DataBlockI* create ( Edit::EditableI* pOriginal )
- virtual void copy ( Edit::DataBlockI* pBlock )
- virtual void restore ( Edit::EditableI* pEditable )
- virtual FileHandleC* add_file ( ImportableI* pImportable )
- virtual PajaTypes::uint32 get_file_count ()
- virtual void reload_file ( PajaTypes::uint32 ui32Index, ImportInterfaceC* pIface )
- virtual void replace_file ( PajaTypes::uint32 ui32Index, const char* szName, ImportInterfaceC* pIface )
- virtual FileHandleC* get_file ( PajaTypes::uint32 ui32Index )
- virtual FileHandleC* get_file ( const char* szName )
- virtual void del_file ( PajaTypes::uint32 ui32Index )
- virtual PajaTypes::uint32 save ( FileIO::SaveC* pSave )
- virtual PajaTypes::uint32 load ( FileIO::LoadC* pLoad )

## Static Public Methods

- FileListC* create_new ()

## Protected Methods

- FileListC ()
- FileListC ( Edit::EditableI* pOriginal )
- virtual ~FileListC ()

## Detailed Description

File list class.

File list class manages the imported files. It checks for duplicates enables to load, reload, replace, and delete importable files. Changes made to file list are also undoable. This class is used internally.

This class is implemented by the system.

## Constructor & Destructor Documentation

FileListC ( | )`[protected]`

| Default constructor.

FileListC ( | Edit::EditableI * pOriginal )`[protected]`

| Default constructor with reference to the original.

~FileListC ( | )`[protected, virtual]`

| Default destructor.

## Member Function Documentation

FileHandleC * add_file ( | ImportableI * pImportable )`[virtual]`

| Loads a file and adds it to the list.

void copy ( | Edit::DataBlockI * pBlock )`[virtual]`

| Deep copy from a data block, see Edit::DataBlockI::copy(). Reimplemented from Edit::EditableI.

Edit::DataBlockI * create ( | Edit::EditableI * pOriginal )`[virtual]`

| Creates new file list(used internally), see Edit::EditableI::create(). Reimplemented from Edit::EditableI.

Edit::DataBlockI * create ( | )`[virtual]`

| Create new file list. Reimplemented from Edit::EditableI.

FileListC * create_new ( | )`[static]`

| Create new file list.

void del_file ( | PajaTypes::uint32 ui32Index )`[virtual]`

| Deletes the file at given index.

FileHandleC * get_file ( | const char * szName )`[virtual]`

| Returns the file with given name.

FileHandleC * get_file ( | PajaTypes::uint32 ui32Index )`[virtual]`

| Returns the file at given index.

PajaTypes::uint32 get_file_count ( | )`[virtual]`

| Returns number of files in the list.

virtual PajaTypes::uint32 load ( | FileIO::LoadC * pLoad )`[virtual]`

| Load editable from a Demopaja input stream. Reimplemented from Edit::EditableI.

void reload_file ( | PajaTypes::uint32 ui32Index,
| ImportInterfaceC * pIface )`[virtual]`

| Reloads a file already in the list. This method will create a new instace of the same plugin class and attach it to the file handle. The old instance is not used. The caller of this method is responsible to update every parameter which has the filehandle of this importable points. The Demopaja GUI does that every time the reload is requested.

void replace_file ( | PajaTypes::uint32 ui32Index,
| const char * szName,
| ImportInterfaceC * pIface )`[virtual]`

| Replaces a file inthe list with another file . This method will create a new instace of the same plugin class and attach it to the file handle. The old instance is not used. The caller of this method is responsible to update every parameter which has the filehandle of this importable points. The Demopaja GUI does that every time the replace is requested.

void restore ( | Edit::EditableI * pEditable )`[virtual]`

| Shallow copy from a editable, see Edit::EditableI::restore(). Reimplemented from Edit::EditableI.

virtual PajaTypes::uint32 save ( | FileIO::SaveC * pSave )`[virtual]`

| Save editable to a Demopaja output stream. Reimplemented from Edit::EditableI.

The documentation for this class was generated from the following file:

- FileListC.h